ARCHS := amd64 arm64
VERSION ?= $(shell git describe --tags --always)
all:$(ARCHS)

$(ARCHS):
	@echo "Building for $(@)"
	@GOOS=linux GOARCH=$(@)
	go build -ldflags "-X main.Version=$(VERSION)" -o target/$(@)/gohttpd
	cp config.json target/$(@)/
	cp -r adminui target/$(@)/
	cp gohttpd.service target/$(@)/
	cp install.sh target/$(@)/

clean:
	go clean
	rm -rf target